Subject: 1's complement arithmeti

From: :[email-masked]
Date: Fri, 29 Apr 94 03:05:00 -0400

BS>Message-ID: <[email-masked]>
BS>Newsgroups: alt.sys.pdp8

BS>    Did the 18b PDP's automatically convert -0 to +0 as part of (1's
BS>    complement) ADD?  There's a note to that effect in the ISP descripti
BS>    of the PDP-1 and PDP-4 in "Computer Engineering", but I can't find a
BS>    reference to this in the PDP-4 manual.

 Bob:
    If Ken and Gordie weren't held in such Wonderful regard over there, I'd 
say they're the best to answer the question. Having owned (and lost, sigh) a 
-7 -9 and -15, I believe the -1 and -4 were sort of the odd machines out of 
the series and handled things differently.
     Computer Engineering, Bell, et. al. says only the PDP-1 used ones 
complement arithmatic "therefore, the PDP-4 was designed to use two's 
complement arithmetic and to use the link bit from the Lincoln Laboratory 
L-1 design (p142- Bell/Butler/Gray/McNamara/Volinda/Wilson's Chap. 6.
     By the way - an urgent request to a decSter with some interest in 
history. Heard word DEC was moving out of the old Maynard Mills. Could 
someone PLEASE float the new corporate board the suggestion that the 
building be turned over to The Computer Museum and used to house operating 
old systems, as opposed to the new Computer Museum which has a collection 
that dates from the introduction of the 80484 these days!
     I'll even come up and help get the old beasts kicking if 
work/vacation/weekend time allows, and I'm sure several hundred others would 
join me.
                                                    
                                     [[email-masked]]
                                      (who carries an XX2247 key at all     
                                   times Never know when it might come 
                                        in handy)

[[email-masked]]
---
 * WaveRdr 1.0 [NR] * UNREGISTERED EVALUATION COP